<?php
$jenispengadilan=$this->session->userdata('jenis_pengadilan');
?>
<link rel="stylesheet" type="text/css" href="<?php echo base_url()?>resources/css/autocomplete.css">
<div class="centering" style="width:600px;margin-top: 1%;">
    <div id='pihak_pilih' style="border: 1px solid #ffffff;">
          <div class="detil" style="padding: 2px;background-color: white;">
            <div style="font-size:14px;">
                     <?php
                         if ($penahanan_id=='add'){
                              ?>
                              <form  onsubmit="return formValidator()" id="frm_add_penahanan" name="frm_add_penahanan" style="background:white;margin:0;" method="post" action="<?php echo base_url().'addPenahanan_c/f_validate_input_add';?>">
                         <?php
                         }else{
                              ?>
                              <form id="frm_add_penahanan" name="frm_add_penahanan" style="background:white;margin:0;" method="post" action="<?php echo base_url().'addPenahanan_c/f_validate_input_edit';?>">
                         <?php
                         }
                     ?>
                         <table id='tableDetilPerkara' style="font-size:14px;">
                              <col width="100px">
                              <col width="65%">
                              <tr>
                                <td colspan="2" style="background:white;border:0px;font-size: 20px;color: #648C03;" align="center">
                                  <?php if ($penahanan_id=='add'){ echo "TAMBAH";}else{echo "EDIT";};?> - DATA PENAHANAN
                                </td>
                              </tr>
                              <tr>
                                   <td id="first-child">Nomor Perkara</td>
                                   <td>
                                        <?php echo $nomor_perkara; ?>
                                        <input type='hidden' value='<?php echo $perkara_id;?>' name='perkara_id' id='perkara_id'/>
                                        <input type='hidden' value='<?php echo $pihak_id;?>' name='pihak_id' id='pihak_id'/>
                                        <input type='hidden' value='<?php echo $penahanan_id;?>' name='penahanan_id' id='penahanan_id'/>
                                   </td>     
                              </tr>
                              <tr>
                                   <td id="first-child">Terdakwa/Tersangka</td>
                                   <td>
                                        <?php 
                                             echo $pihak_detail['nama'];echo "</br>";
                                             echo "Tempat Lahir: ".$pihak_detail['tempat_lahir'];echo "</br>";
                                             echo "Tanggal Lahir: ".$pihak_detail['tanggal_lahir'];echo "</br>";
                                             echo "Umur: ".$pihak_detail['umur'];echo "</br>";
                                             echo "Jenis Kelamin: ".$pihak_detail['jenis_kelamin'];echo "</br>";
                                             echo "Warga Negara: ".$pihak_detail['warga_negara'];echo "</br>";
                                             echo "Alamat: ".$pihak_detail['alamat'];echo "</br>";
                                             echo "Agama: ".$pihak_detail['agama'];echo "</br>";
                                             echo "Pekerjaan: ".$pihak_detail['pekerjaan'];
                                        ?>
                                   </td>     
                              </tr>
                              <tr>
                                   <td id="first-child">Status Penahanan <span style="color:red">*</span></td>
                                   <td>
                                        <span class="custom-dropdown custom-dropdown--emerald">
                                             <?php $js="id='status_penahanan' class='custom-dropdown__select custom-dropdown__select--white' style='width:200px;'";
                                             echo form_dropdown('status_penahanan', $status_penahanan, $detail_penahanan['status_penahanan_id'], $js);?>
                                        </span>
                                   </td>     
                              </tr>
                              <tr class="tahan_oleh">
                                   <td id="first-child"><span id="ditahanoleh"></span><span style="color:red">*</span></td>
                                   <td>
                                        <span class="custom-dropdown custom-dropdown--emerald">
                                             <?php $js="id='jenis_penahanan' class='custom-dropdown__select custom-dropdown__select--white' style='width:340px'";
                                             echo form_dropdown('jenis_penahanan', $jenis_penahanan, $detail_penahanan['jenis_penahanan_id'], $js);?>
                                        </span>
                                   </td>     
                              </tr>
                              <tr class="bebas_oleh">
                                   <td id="first-child">Dibebaskan Oleh<span style="color:red">*</span></td>
                                   <td>
                                        <span class="custom-dropdown custom-dropdown--emerald">
                                             <?php $js="id='jenis_penahanan2' class='custom-dropdown__select custom-dropdown__select--white' style='width:340px'";
                                             echo form_dropdown('jenis_penahanan2', $jenis_penahanan2, $detail_penahanan['jenis_penahanan_id'], $js);?>
                                        </span>
                                   </td>     
                              </tr>
							  <?php if($jenispengadilan==2){ ?>
                              <tr class="pejabat_tahan">
                                   <td id="first-child">Pejabat Penahanan<span style="color:red">*</span></td>
                                   <td>
                                      <input id="pejabat_penahan" name="pejabat_penahan" class="standard-input" type="text" style="width:330px;" maxlength="300" value="<?php echo $detail_penahanan['pejabat_penahan']; ?>">
                                   </td>     
                              </tr>
							  <?php } ?>
                              <tr id='tr_jenis_tahanan'>
                                   <td id="first-child">Jenis Tahanan<span style="color:red">*</span></td>
                                   <td>
                                        <span class="custom-dropdown custom-dropdown--emerald">
                                             <?php $js="id='jenis_tahanan' class='custom-dropdown__select custom-dropdown__select--white' style='width:200px;'";
                                             echo form_dropdown('jenis_tahanan', $jenis_tahanan, $detail_penahanan['jenis_tahanan_id'], $js);?>
                                        </span>
                                   </td>     
                              </tr>
                              <tr id='tr_nama_rutan'>
                                   <td id="first-child">Rumah Tahanan</td>
                                   <td>
										<input type="text" id="rutan" autocomplete="off" name="rutan" class="standard-input" placeholder="Tuliskan Nama Rumah Tahanan" style="width:340px" value="<?php echo $detail_penahanan['rutan']; ?>">        
										<input type="hidden" name="idrutan" id="idrutan" value="<?php echo $detail_penahanan['idrutan']; ?>">
										<div id="autokomplit">
										<ul class="txtcountry" id="DropdownRutan" role="menu" aria-labelledby="dropdownMenu" style="width:298px">
										</ul>
										</div>
                                   </td>     
                              </tr>
                              <tr class="tgl_tahan">
                                   <td id="first-child">Tanggal Surat Penahanan</td>
                                   <td>
                                        <input id="tgl_surat_penahanan" name="tgl_surat_penahanan" value="<?php echo $this->tanggalhelper->convertToInputDate($detail_penahanan['tanggal_surat']); ?>" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun">
                                   </td>     
                              </tr>
                              <tr class="surat_tahan">
                                   <td id="first-child">Nomor Surat Penahanan</td>
                                   <td>
                                        <input type='text' style="width:340px" class="standard-input" value="<?php echo $detail_penahanan['nomor_surat']; ?>" id='no_surat_penahanan' name='no_surat_penahanan'/>
                                   </td>     
                              </tr>
                              <tr class="mulai">
                                   <td id="first-child">Mulai<span style="color:red">*</span></td>
                                   <td>
                                        <input readonly="readonly" type="text" id="tgl_mulai" name="tgl_mulai" value="<?php echo $this->tanggalhelper->convertToInputDate($detail_penahanan['mulai']); ?>" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun">
                                   </td>     
                              </tr>
                              <tr class="sampai">
                                   <td id="first-child">Sampai</td>
                                   <td>
                                        <input type="text" id="tgl_sampai" name="tgl_sampai" value="<?php echo $this->tanggalhelper->convertToInputDate($detail_penahanan['sampai']); ?>" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun">
                                   </td>     
                              </tr>
                              <tr class="jumlah">
                                   <td id="first-child">Jumlah</td>
                                   <td>
                                        <span id='lama_penahanan'>
                                        <?php 
                                             echo $detail_penahanan['lama_penahanan']." Hari";
                                        ?>
                                        </span>
                                   </td>     
                              </tr>
                              <tr class="keterangan">
                                   <td id="first-child">Keterangan</td>
                                   <td>
                                        <?php
                                            $js="{datatype: 'text', maxLength: 500, allowedChars: '', lettersCase: '', enterTab: false, enterSubmit: false, autoTab: true, selectOnFocus: true, watermark: '', watermarkClass: 'scFormObjectOddWm', maskChars: '(){}[].,;:-+/ '}
                                             cols='100' rows='2' id='keterangan' name='keterangan' style='width: 330px; height: 84px; font-size:11px;resize: none;' maxlength='500'; ";
                                            echo form_textarea('keterangan', $detail_penahanan['keterangan'], $js); ?>
                                   </td>     
                              </tr>
                              <tr>
                                <td colspan='2' style='background:white;text-align:center;'>
                                  <input type='hidden' id='perkara_id' value='<?php echo $perkara_id;?>'/>
                                  <input type='hidden' id='pihak_id' value='<?php echo $pihak_id;?>'/>
                                  <input type="hidden" id="curr_date" value="<?php echo $current_date;?>">
                                  <input type="hidden" name="vra" value='<?php echo $batas_waktu;?>'>
                                  <input type="hidden" name="penahanan_id" value="<?php echo $penahanan_id;?>">
                                  <input type="button" id='close_form_perpanjangan_penahanan' value="Kembali" class="btn">
                                  
								  <?php if($penahanan_id!='add'){?>
								  <input type="button" id="hapus" value="Hapus" style="text-decoration:none" class="btn btn-danger">
								  <?php }?>
								  <input type="submit" id="simpan" value="Simpan" class="btn">
                                  
                                </td>
                              </tr>
                         </table>
					</form>
				</div>
			</div>     
		</div>
</div>
<script type="text/javascript">
$("#close_form_perpanjangan_penahanan").closingFormWin();
$('.datepicker').ValidateDateInput();

/* === penambahan alert jika tdk menggunakan json === */
$("#hapus").click(function(){
	var konfirmasi=confirm('Apakah Anda Yakin Akan Hapus Data?');
	if (konfirmasi){
	location.href="<?php echo base_url().'addPenahanan_c/hapus_penahanan/'.$perkara_id.'/'.$pihak_id.'/'.$penahanan_id;?>";
	}
});

function formValidator(){
	var jenis_penahanan=$('#jenis_penahanan').val();
	var jenis_penahanan2=$('#jenis_penahanan2').val();
	var status_penahanan=$('#status_penahanan').val();
	var tgl_mulai=$('#tgl_mulai').val();
	var jenis_tahanan=$('#jenis_tahanan').val();

	if (status_penahanan=='' || status_penahanan=='0'){
		message_error_show('Form <b><u>Status Penahanan</u></b> Tidak Boleh Kosong');
		return false;
	}
	
	if (status_penahanan=='1' || status_penahanan=='2' || status_penahanan=='3' || status_penahanan=='4'){
	if (jenis_penahanan=='' || jenis_penahanan=='0'){
		if (status_penahanan=='1'){
			message_error_show('Form <b><u>Ditahan Oleh</u></b> Tidak Boleh Kosong');
		}else if (status_penahanan=='2'){
			message_error_show('Form <b><u>Tidak Ditahan Oleh</u></b> Tidak Boleh Kosong');
		}else if (status_penahanan=='3'){
			message_error_show('Form <b><u>DiBantar (Stuitting) Oleh</u></b> Tidak Boleh Kosong');
		}else if (status_penahanan=='4'){
			message_error_show('Form <b><u>Ditangguhkan Oleh</u></b> Tidak Boleh Kosong');
		}
		return false;
	}}
	
	if (status_penahanan=='5'){
		if (jenis_penahanan2=='' || jenis_penahanan2=='0'){
			message_error_show('Form <b><u>Dibebaskan Oleh</u></b> Tidak Boleh Kosong');
			return false;
		}
	}

	if (status_penahanan=='1'){
		if (jenis_tahanan=='' || jenis_tahanan=='0'){
		message_error_show('Form <b><u>Jenis Tahanan</u></b> Tidak Boleh Kosong');
		return false;
		}
	}
		
	<?php if($jenispengadilan==2){?>
	var pejabat_penahan=$('#pejabat_penahan').val();
	if (pejabat_penahan=='' || pejabat_penahan=='0'){
		message_error_show('Form <b><u>Pejabat Penahanan</u></b> Tidak Boleh Kosong');
		return false;
	}
	<?php } ?>
	
	if ((tgl_mulai=='' || tgl_mulai=='0') && status_penahanan!=2){
		message_error_show('Form <b><u>Tanggal Mulai</u></b> Tidak Boleh Kosong');
		return false;
	}
	return true;
};
/* == didisable sementara. jika sudah ketemu cara pakai jsonnya, tinggal enable lagi == */
/*$('#frm_add_penahanan').SubmitHandling({
	refresh:'1',
	setRefresh:1,
	divRef:'#konten',
	clicked:1,
	btnClicked:'#close_form_perpanjangan_penahanan',
	whenStatus:1,
});*/

/*$('#hapus').ButtonClickHandling({
	refresh:'1',
	setRefresh:1,
	divRef:'#konten',
	clicked:1,
	btnClicked:'#close_form_perpanjangan_penahanan',
	whenStatus:1,
	actions:'<?php echo base_url()?>addPenahanan_c/hapus_penahanan/',
	formName:'#frm_add_penahanan',
	actionName:'Hapus Data'
});*/
/* =============================================== */

$(document).ready(function () {
    var status_penahanan = '<?php echo $detail_penahanan['status_penahanan_id']; ?>';
    if(status_penahanan=='2'){
      $("tr.tahan_oleh").show();            
      $("tr.bebas_oleh").hide();
      $("tr.pejabat_tahan").hide();
      $("tr.tgl_tahan").hide();
      $("tr.surat_tahan").hide();      
      $('tr.mulai').hide();
      $('tr.sampai').hide();
      $('tr.jumlah').hide();
    }else if(status_penahanan=='3' || status_penahanan=='4'){      
      $('tr.sampai').hide();
      $('tr.jumlah').hide();
    }
    var detail_penahanane = '<?php echo $detail_penahanan['jenis_tahanan_id']; ?>';
    if(detail_penahanane=='1' || detail_penahanane=='2'){     
      $('#tr_nama_rutan').hide();
    }else{
      $('#tr_nama_rutan').show();
    }

    $("#rutan").keyup(function () {
		if ($(this).val()==''){
			$('#DropdownRutan').hide();
		}else{
			$('#DropdownRutan').show();
		}
		if($(this).val().length>2){
		$.ajax({
            type: "POST",
            url: "<?php echo base_url()?>addPenahanan_c/getRutan",
            data: { keyword: $("#rutan").val() },
            dataType: "json",
            success: function (data) {
                if (data.length > 0) {
                    $('#DropdownRutan').empty();
                }
                else if (data.length == 0) {
					$('#DropdownRutan').hide();
					$('#rutan').val('Data tidak ditemukan');
                }
                $.each(data, function (key,value) {
                    if (data.length > 0)
                        $('#DropdownRutan').append('<a href=#><li role="presentation" data-id=' + value['id'] + '>' + value['nama'] + '</li></a>');
                });
            }
        });
		}else{
			$('#DropdownRutan').empty();
			$('#DropdownRutan').hide();
		}
    });
    $('ul.txtcountry').on('click', 'a li', function () {
        $('#rutan').val($(this).text());
		$('#idrutan').val($(this).data('id'));
		$('#DropdownRutan').hide();
    });
});
	
$('#DropdownRutan').hide();
<?php 
if ($penahanan_id=='add'){?>
	$("tr.tahan_oleh").hide();
	$("tr.bebas_oleh").hide();
	$('#tr_nama_rutan').hide();
	$('#tr_jenis_tahanan').hide();
	$('#tr_nama_rutan').hide();
	$('tr.pejabat_tahan').hide();
	$('tr.tgl_tahan').hide();
	$('tr.surat_tahan').hide();
	$('tr.mulai').hide();
	$('tr.sampai').hide();
	$('tr.jumlah').hide();
	$('tr.keterangan').hide();
<?php }else{ ?>
	var idstattahan = <?php echo $detail_penahanan['status_penahanan_id']; ?>;  
	if (idstattahan=="1"){
		$("tr.tahan_oleh").show();
		$("tr.bebas_oleh").hide();				
    document.getElementById("ditahanoleh").textContent="Ditahan Oleh";  
	}else{
		if (idstattahan=="2"){
			$("tr.tahan_oleh").show();
			$("tr.bebas_oleh").hide();
			document.getElementById("ditahanoleh").textContent="Tidak Ditahan Oleh";
		}else if (idstattahan=="3"){
			$("tr.tahan_oleh").show();
			$("tr.bebas_oleh").hide();
      $('tr.sampai').hide();
      $('tr.jumlah').hide();
			document.getElementById("ditahanoleh").textContent="Dibantar (Stuitting) Oleh";
		}else if (idstattahan=="4"){
			$("tr.tahan_oleh").show();
			$("tr.bebas_oleh").hide();
			document.getElementById("ditahanoleh").textContent="Ditangguhkan Oleh";
		}else if (idstattahan=="5"){
			$("tr.tahan_oleh").hide();
			$("tr.bebas_oleh").show();
			$('tr.sampai').hide();
			$('tr.jumlah').hide();
      $("tr.pejabat_tahan").show();
			document.getElementById("ditahanoleh").textContent="Dibebaskan Oleh";
		}
			$("#tr_jenis_tahanan").hide();
			$("tr.tgl_tahan").hide();
			$("tr.surat_tahan").hide();
			$('#tr_nama_rutan').hide();
			$('#DropdownRutan').hide();
	}
<?php } ?>
$("#status_penahanan").change(function(){
	if($(this).val()=="1"){
		$("tr.tahan_oleh").show();
		$("tr.bebas_oleh").hide();
		$('tr.mulai').show();
		$('tr.sampai').show();
		$('tr.jumlah').show();
		$('tr.keterangan').show();
		$('#jenis_penahanan2').val('');
		document.getElementById("ditahanoleh").textContent="Ditahan Oleh";
	}else if($(this).val()>="2" && $(this).val()<="5"){
		if ($(this).val()=="2"){
			document.getElementById("ditahanoleh").textContent="Tidak Ditahan Oleh";
			$("tr.tahan_oleh").show();
			$("tr.bebas_oleh").hide();
      $('tr.mulai').hide();
			$('tr.sampai').hide();
			$('tr.jumlah').hide();
		}else if ($(this).val()=="3"){
			document.getElementById("ditahanoleh").textContent="Dibantar (Stuitting) Oleh";
			$("tr.tahan_oleh").show();
			$("tr.bebas_oleh").hide();
      $('tr.mulai').show(); 
      $('tr.sampai').hide();     
			$('tr.jumlah').hide();
		}else if ($(this).val()=="4"){
			document.getElementById("ditahanoleh").textContent="Ditangguhkan Oleh";
			$("tr.tahan_oleh").show();
			$("tr.bebas_oleh").hide();
      $('tr.mulai').show();
			$('tr.sampai').hide();
			$('tr.jumlah').hide();
		}else if ($(this).val()=="5"){
			document.getElementById("ditahanoleh").textContent="Dibebaskan Oleh";
			$("tr.tahan_oleh").hide();
			$("tr.bebas_oleh").show();
			$('tr.sampai').hide();
			$('tr.jumlah').hide();
		}
		$('#jenis_penahanan').val('');
		$('#rutan').val('');
		$('#idrutan').val('');
		$('#pejabat_penahan').val('-');
		$('#jenis_tahanan').val('');
		$('#tgl_surat_penahanan').val('');
		$('#no_surat_penahanan').val('');		
		$('tr.keterangan').show();
		$("tr.pejabat_tahan").hide();
		$("#tr_jenis_tahanan").hide();
		$("tr.tgl_tahan").hide();
		$("tr.surat_tahan").hide();
		$('#tr_nama_rutan').hide();
		$('#DropdownRutan').hide();
		
	}else{
		$("tr.tahan_oleh").hide();
		$("tr.bebas_oleh").hide();
		$("tr.pejabat_tahan").hide();
		$("#tr_jenis_tahanan").hide();
		$("tr.tgl_tahan").hide();
		$("tr.surat_tahan").hide();
		$('#tr_nama_rutan').hide();
		$('#DropdownRutan').hide();
    $('tr.mulai').show();
		$('tr.sampai').show();
		$('tr.jumlah').show();
		$('#jenis_penahanan').val('');
		$('#rutan').val('');
		$('#idrutan').val('');
		$('#pejabat_penahan').val('-');
		$('#jenis_tahanan').val('');
		$('#tgl_surat_penahanan').val('');
		$('#no_surat_penahanan').val('');
		$('tr.mulai').hide();
		$('tr.sampai').hide();
		$('tr.jumlah').hide();
		$('tr.keterangan').hide();
		}
});
$("#jenis_penahanan").change(function(){
	if($(this).val()>"0" && $("#status_penahanan").val()=="1"){
		$('#rutan').val('');
		$('#idrutan').val('');
		$('#pejabat_penahan').val('-');
		$('#jenis_tahanan').val('');
		$('#tgl_surat_penahanan').val('');
		$('#no_surat_penahanan').val('');
		$('#tr_nama_rutan').hide();
		$("tr.pejabat_tahan").show();
		$("#tr_jenis_tahanan").show();
		$("tr.tgl_tahan").show();
		$("tr.surat_tahan").show();
	}else{
		$('#rutan').val('');
		$('#idrutan').val('');
		$("tr.pejabat_tahan").hide();
		$("#tr_jenis_tahanan").hide();
		$("tr.tgl_tahan").hide();
		$("tr.surat_tahan").hide();
		$('#tr_nama_rutan').hide();
	}
});
$("#jenis_penahanan2").change(function(){
  if($(this).val()>"0" && $("#status_penahanan").val()=="5" && $(this).val()<"22"){
    $('#rutan').val('');
    $('#idrutan').val('');
    $('#pejabat_penahan').val('-');
    $('#jenis_tahanan').val('');
    $('#tgl_surat_penahanan').val('');
    $('#no_surat_penahanan').val('');
    $('#tr_nama_rutan').hide();
    $("tr.pejabat_tahan").show();
    $("#tr_jenis_tahanan").hide();
    $("tr.tgl_tahan").show();
    $("tr.surat_tahan").show();
  }else{
    $('#rutan').val('');
    $('#idrutan').val('');
    $("tr.pejabat_tahan").hide();
    $("#tr_jenis_tahanan").hide();
    $("tr.tgl_tahan").hide();
    $("tr.surat_tahan").hide();
    $('#tr_nama_rutan').hide();
  }
  
});

/* == ini dah ok == */
$("#jenis_tahanan").change(function(){
	if($(this).val()=="3" || $(this).val()=="4") 
		$('#tr_nama_rutan').show();
	else 
		$('#tr_nama_rutan').hide();
		$('#rutan').val('');
		$('#idrutan').val('');
		$('#DropdownRutan').hide();
});

var bts_wkt=<?php echo $batas_waktu; ?>;
var jml_hari=0;
  
$('#tgl_surat_penahanan').datepicker({
	inline: true,
	showOtherMonths: true,
	dateFormat: 'dd/mm/yy',
	dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
	onSelect: function(dateText, inst) {
		var error = 0;
		var tmp = $(this).val().split("/");
		var tmp2 = $('#curr_date').val().split("/");
		if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() > new Date(tmp2[2]+"-"+tmp2[1]+"-"+tmp2[0]+"T00:00:00").getTime())){
			message = 'Tidak Dapat Memilih Melebihi Hari ini. Sekarang Tanggal '+$('#curr_date').val();
			error = 1
		}
		if(error==1){
			message_error_show(message);
			$(this).css("background-color", "red");
		}else{
			$(this).css("background-color", "#dedbdb");
		}
		error = 0;
	}
});
	 
$('#tgl_mulai').datepicker({
	inline: true,
	showOtherMonths: true,
	dateFormat: 'dd/mm/yy',
	dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
	onSelect: function() {
		var error = 0;
		var tmp   = $(this).val().split("/");
		var tmp2  = $('#curr_date').val().split("/");
		jml_hari = (bts_wkt[$('#jenis_penahanan').val()]);
		if (jml_hari>0){
      var status_penahanan = $('#status_penahanan').val();
      if(status_penahanan!=3){
  			var dmy = $("#tgl_mulai").val().split("/");        // "24/06/2011" should be pulled from $("#DatePicker").val() instead
  			var joindate = new Date(
  				parseInt(dmy[2],10),
  				parseInt(dmy[1],10)-1,
  				parseInt(dmy[0],10)
  			);
  			joindate=new Date(joindate.getTime() + jml_hari*24*60*60*1000-1);
  			$('#lama_penahanan').text(jml_hari+" Hari");
  			$('#tgl_sampai').val(
  				("0" + joindate.getDate()).slice(-2) + "/" + ("0" + (joindate.getMonth() + 1)).slice(-2) + "/" + joindate.getFullYear()
  			)
      }else{
        $('#lama_penahanan').text("0 Hari");
      }
		}else{
			var kata=$('#ditahanoleh').text();
			message_error_show('Form <b><u>'+kata+'</u></b> Tidak Boleh Kosong');
			return false;
		}
	}
});
	 
$('#tgl_sampai').datepicker({
	inline: true,
	showOtherMonths: true,
	dateFormat: 'dd/mm/yy',
	dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
	onSelect: function(dateText, inst) {
		if ($('#tgl_mulai').val()!=''){
			var start = $('#tgl_mulai').datepicker('getDate');
			var end   = $(this).datepicker('getDate');
			var days  = (end - start)/1000/60/60/24;
			if (days>jml_hari){
				message_error_show('Tidak dapat melebihi dari batas waktu penahanan '+jml_hari+' hari!');
				$(this).css("background-color", "red");
			}else{
				$(this).css("background-color", "#dedbdb");
			}
			$('#lama_penahanan').text(days+" Hari");
		}else{
			$('#lama_penahanan').text(" - Hari");
		}
	}
});

/* === di sini masih ada error, tidak akan jalan saat edit data dengan kondisi jenis_penahanan telah terpilih*/
/*alert($('#jenis_penahanan').val());*/
$('#jenis_penahanan').change(function(){
	jml_hari = (bts_wkt[$('#jenis_penahanan').val()]);
	$('#tgl_mulai').val('');
	$('#tgl_sampai').val('');
	$('#lama_penahanan').text(" - Hari");
});

$('#tgl_sampai').change(function(){
	if ($('#tgl_mulai').val()!=''){
		var start = $('#tgl_mulai').datepicker('getDate');
		var end   = $(this).datepicker('getDate');
		var days  = (end - start)/1000/60/60/24;
		if (days>jml_hari){
			message_error_show('Tidak dapat melebihi dari batas waktu penahanan '+jml_hari+' hari!');
			$(this).css("background-color", "red");
		}else{
			$(this).css("background-color", "#dedbdb");
		}
		$('#lama_penahanan').text(days+" Hari");
	}else{
		$('#lama_penahanan').text(" - Hari");
	}    
});
</script>